Bug 1023587 - Additional Oracle Database Requirements when upgrading to Satellite 5.6
Additional Oracle Database Requirements when upgrading to Satellite 5.6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
560
All Linux
medium Severity high
: ---
: ---
Assigned To: Dan Macpherson
Dan Macpherson
: Triaged
Depends On:
Blocks: sat-docs
  Show dependency treegraph
 
Reported: 2013-10-25 16:34 EDT by hmiles
Modified: 2015-10-05 22:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-15 22:44:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Article) 521743 None None None Never
Red Hat Knowledge Base (Solution) 521743 None None None Never

  None (edit)
Description hmiles 2013-10-25 16:34:33 EDT
Description of problem:
We should add to this section :
2.3.3.2. Oracle Database Requirements
https://access.redhat.com/site/documentation/en-US/Red_Hat_Satellite/5.6/html-single/Installation_Guide/index.html#sect-Installation_Guide-External_Database_Requirements

In addition to this statement :
=================
    The precise access levels required by the Oracle user are as follows:

    ALTER SESSION
    CREATE SEQUENCE
    CREATE SYNONYM
    CREATE TABLE
    CREATE VIEW
    CREATE PROCEDURE
    CREATE TRIGGER
    CREATE TYPE
    CREATE SESSION
=================
We should add the following :
=================
   note: the database user has to have privileges above granted directly (not via role)
 
Example :
   SQL> grant  CREATE SEQUENCE, CREATE SYNONYM, CREATE TABLE, CREATE VIEW, CREATE PROCEDURE,CREATE TRIGGER, CREATE TYPE, CREATE SESSION, ALTER SESSION to rhnsat;
=================

There have been 2 support cases so far where customer's using external db's did not have this set and they were unable to upgrade.
Comment 3 Dan Macpherson 2014-01-21 10:20:01 EST
This bug can be worked on early during the planning stages for Satellite 5.7.

Note You need to log in before you can comment on or make changes to this bug.